--- old/usr/src/man/man7d/av1394.7d	Fri Jan 10 14:01:40 2020
+++ new/usr/src/man/man7d/av1394.7d	Fri Jan 10 14:01:40 2020
@@ -3,37 +3,29 @@
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE. If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
 .\"  Copyright (c) 2009, Sun Microsystems, Inc. All Rights Reserved
-.TH AV1394 7D "Apr 3, 2009"
+.TH AV1394 7D "Jan 10, 2020"
 .SH NAME
 av1394 \- 1394 audio/video driver
 .SH SYNOPSIS
-.LP
 .nf
 \fBunit@GUID\fR
 .fi
 
 .SH DESCRIPTION
-.sp
-.LP
 The \fBav1394\fR driver implements \fBiec61883\fR(7I) interfaces for IEEE 1394
 compliant devices.
 .SS "Asynchronous Transactions"
-.sp
-.LP
 The driver allows applications to act as FCP controllers, but not FCP targets.
 Only \fBIEC61883_FCP_CMD\fR requests can be sent with \fBwrite\fR(2). Only
 \fBIEC61883_FCP_RESP\fR requests can be received with \fBread\fR(2).
 .SS "Isochronous Transactions"
-.sp
-.LP
 When the read/write method of is used for transmit, the driver is capable of
 auto-detecting and transmitting SD-DVCR 525/60 and 625/50 streams. See
 \fBiec61883\fR(7I) for details.
 .SH FILES
-.sp
 .ne 2
 .na
-\fB\fB/dev/av/N/async\fR\fR
+\fB/dev/av/N/async\fR
 .ad
 .RS 29n
 device node for asynchronous data
@@ -42,7 +34,7 @@
 .sp
 .ne 2
 .na
-\fB\fB/dev/av/N/isoch\fR\fR
+\fB/dev/av/N/isoch\fR
 .ad
 .RS 29n
 device node for isochronous data
@@ -51,33 +43,22 @@
 .sp
 .ne 2
 .na
-\fB\fBkernel/drv/sparcv9/av1394\fR\fR
+\fB/kernel/drv/sparcv9/av1394\fR
 .ad
 .RS 29n
-64-bit ELF kernel module
+Device driver (SPARC)
 .RE
 
 .sp
 .ne 2
 .na
-\fB\fBkernel/drv/av1394\fR\fR
+\fB/kernel/drv/amd64/av1394\fR
 .ad
 .RS 29n
-32-bit ELF kernel module
+Device driver (x86)
 .RE
 
-.sp
-.ne 2
-.na
-\fB\fBkernel/drv/amd64/av1394\fR\fR
-.ad
-.RS 29n
-64-bit ELF kernel module
-.RE
-
 .SH ATTRIBUTES
-.sp
-.LP
 See \fBattributes\fR(5) for a description of the following attributes:
 .sp
 
@@ -94,8 +75,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
-.LP
 \fBread\fR(2), \fBwrite\fR(2), \fBattributes\fR(5), \fBhci1394\fR(7D),
 \fBiec61883\fR(7I)
 .sp
--- old/usr/src/man/man7d/dcam1394.7d	Fri Jan 10 14:01:40 2020
+++ new/usr/src/man/man7d/dcam1394.7d	Fri Jan 10 14:01:40 2020
@@ -3,24 +3,19 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH DCAM1394 7D "May 19, 2004"
+.TH DCAM1394 7D "Jan 10, 2020"
 .SH NAME
 dcam1394 \- 1394-based digital camera (IIDC) driver
 .SH SYNOPSIS
-.LP
 .nf
 \fB#include <sys/dcam/dcam1394_io.h>\fR
 .fi
 
 .SH DESCRIPTION
-.sp
-.LP
 The \fBdcam1394\fR driver supports devices implementing the \fI1394 Trade
 Association Digital Camera Specification\fR (also referred to as the IIDC
 specification).  Only a subset of the specification is supported.
 .SH READING DATA
-.sp
-.LP
 Isochronous data is read from the driver frame-by-frame and is maintained
 within the driver in a ring buffer.
 .sp
@@ -48,8 +43,6 @@
 which the camera is configured. Possible values for the vid_mode field are
 listed under DCAM1394_PARAM_VID_MODE below.
 .SH IOCTL REQUESTS
-.sp
-.LP
 The following ioctl requests are supported:
 .sp
 .ne 2
@@ -116,7 +109,7 @@
 to a \fBdcam1394_param_list_t\fR structure (described below). The parameter
 list is accessed through macros defined below.
 .sp
-The paramter list only supports Format 1 video formats.
+The parameter list only supports Format 1 video formats.
 .RE
 
 .sp
@@ -130,7 +123,7 @@
 to a \fBdcam1394_param_list_t structure\fR (described below). The parameter
 list is accessed through macros defined below.
 .sp
-The paramter list only supports Format 1 video formats.
+The parameter list only supports Format 1 video formats.
 .RE
 
 .sp
@@ -177,8 +170,6 @@
 .RE
 
 .SH PARAMETER LIST ACCESS
-.sp
-.LP
 The parameter list is initialized and access through macros. The data type for
 the parameter list is \fBdcam1394_param_list_t\fR.
 .sp
@@ -249,8 +240,6 @@
 When no subparam value is required, the value DCAM1394_SUBPARAM_NONE may be
 used.
 .SH PARAMETERS
-.sp
-.LP
 The following parameters may appear in the list:
 .sp
 .ne 2
@@ -896,10 +885,9 @@
 .RE
 
 .SH DEVICE SPECIAL FILES
-.sp
 .ne 2
 .na
-\fB\fB/dev/dcam\fIN\fR\fR\fR
+\fB/dev/dcam\fIN\fR\fR
 .ad
 .RS 17n
 Device node for isochronous input from camera.
@@ -908,7 +896,7 @@
 .sp
 .ne 2
 .na
-\fB\fB/dev/dcamctl\fIN\fR\fR\fR
+\fB/dev/dcamctl\fIN\fR\fR
 .ad
 .RS 17n
 Device node for camera control.
@@ -915,29 +903,26 @@
 .RE
 
 .SH FILES
-.sp
 .ne 2
 .na
-\fB\fBkernel/drv/sparcv9/dcam1394\fR\fR
+\fB/kernel/drv/sparcv9/dcam1394\fR
 .ad
 .sp .6
 .RS 4n
-64-bit ELF kernel module.
+Device driver (SPARC)
 .RE
 
 .sp
 .ne 2
 .na
-\fB\fBkernel/drv/dcam1394\fR\fR
+\fB/kernel/drv/amd64/dcam1394\fR
 .ad
 .sp .6
 .RS 4n
-32-bit ELF kernel module.
+Device driver (x86)
 .RE
 
 .SH ATTRIBUTES
-.sp
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -952,8 +937,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
-.LP
 \fBattributes\fR(5), \fBhci1394\fR(7D)
 .sp
 .LP
--- old/usr/src/man/man7d/ecpp.7d	Fri Jan 10 14:01:40 2020
+++ new/usr/src/man/man7d/ecpp.7d	Fri Jan 10 14:01:40 2020
@@ -3,11 +3,10 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH ECPP 7D "May 13, 2017"
+.TH ECPP 7D "Jan 10, 2020"
 .SH NAME
 ecpp \- IEEE 1284 compliant parallel port driver
 .SH SYNOPSIS
-.LP
 .nf
 #include <sys/types.h>
 .fi
@@ -23,7 +22,6 @@
 .fi
 
 .SH DESCRIPTION
-.LP
 The \fBecpp\fR driver provides a bi-directional interface to \fIIEEE 1284\fR
 compliant devices as well as a forward single-directional interface to
 Centronics devices. In addition to the Centronics protocol, the \fBecpp\fR
@@ -48,7 +46,6 @@
 The \fBecpp\fR driver is an \fIexclusive-use\fR device, meaning that if the
 device is already open, subsequent opens fail with \fBEBUSY\fR.
 .SS "Default Operation"
-.LP
 Each time the \fBecpp\fR device is opened, the device is marked as \fBEBUSY\fR
 and the configuration variables are set to their default values. The
 \fBwrite_timeout\fR period is set to 90 seconds.
@@ -71,8 +68,7 @@
 \fBioctl\fR(2) call. For mode negotiation to be successful, both the host
 workstation and the peripheral must support the requested mode.
 .SS "Tunables"
-.LP
- Characteristics of the \fBecpp\fR driver may be tuned by the variables
+Characteristics of the \fBecpp\fR driver may be tuned by the variables
 described in \fB/kernel/drv/ecpp.conf\fR. These variables are read by the
 kernel during system startup. To tune the variables, edit the \fBecpp.conf\fR
 file and invoke \fBupdate_drv\fR(1M) to have the kernel read the file again.
@@ -83,12 +79,10 @@
 If printing problems occur, set "fast-centronics" and "fast-1284-compatible" to
 "false." See \fB/kernel/drv/ecpp.conf\fR for more information.
 .SS "Read/Write Operation"
-.LP
 The \fBecpp\fR driver is a full duplex STREAMS device driver. While an
 application is writing to an \fIIEEE 1284\fR compliant device, another thread
 may read from it.
 .SS "Write Operation"
-.LP
 A \fBwrite\fR(2) operation returns the number of bytes successfully written to
 the stream head. If a failure occurs while a Centronics device is transferring
 data, the content of the status bits will be captured at the time of the error
@@ -96,7 +90,6 @@
 \fBioctl\fR(2) call. The captured status information is overwritten each time
 an attempted transfer or a \fBBPPIOC_TESTIO\fR \fBioctl\fR(2) occurs.
 .SS "Read Operation"
-.LP
 If a failure or error condition occurs during a \fBread\fR(2), the number of
 bytes successfully read is returned (short read). When attempting to read a
 port that has no data currently available, \fBread\fR(2) returns \fB0\fR if
@@ -104,7 +97,6 @@
 \fB-1\fR and sets errno to \fBEAGAIN.\fR If \fBO_NDELAY\fR and \fBO_NONBLOCK\fR
 are clear, \fBread\fR(2) blocks until data become available.
 .SH IOCTLS
-.LP
 The \fBioctl\fR(2) calls described below are supported. Note that when
 \fBecpp\fR is transferring data, the driver waits until the data has been sent
 to the device before processing the \fBioctl\fR(2) call.
@@ -340,7 +332,7 @@
 \fB\fB/dev/lp\fIN\fR\fR\fR
 .ad
 .RS 19n
-Solaris x86 only. (Backwards compatibility with former \fBlp\fR(7D) devices.)
+x86 only. (Backwards compatibility with former \fBlp\fR(7D) devices.)
 .RE
 
 .sp
@@ -355,63 +347,33 @@
 .SH FILES
 .ne 2
 .na
-\fB\fBkernel/drv/ecpp\fR\fR
+\fB/kernel/drv/sparcv9/ecpp\fR
 .ad
 .sp .6
 .RS 4n
-32-bit ELF kernel module
+Device driver (SPARC)
 .RE
 
 .sp
 .ne 2
 .na
-\fB\fBkernel/drv/sparcv9/ecpp\fR\fR
+\fB/kernel/drv/amd64/ecpp\fR
 .ad
 .sp .6
 .RS 4n
-64-bit SPARC ELF kernel module
+Device driver (x86)
 .RE
 
 .sp
 .ne 2
 .na
-\fB\fBkernel/drv/amd64/ecpp\fR\fR
+\fB/kernel/drv/ecpp.conf\fR
 .ad
 .sp .6
 .RS 4n
-64-bit x86 ELF kernel module
+Driver configuration file
 .RE
 
-.sp
-.ne 2
-.na
-\fB\fBkernel/drv/ecpp.conf\fR\fR
-.ad
-.sp .6
-.RS 4n
-driver configuration file
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBkernel/drv/sparcv9/ecpp.conf\fR\fR
-.ad
-.sp .6
-.RS 4n
-driver configuration file for 64-bit SPARC
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBkernel/drv/amd64/ecpp.conf\fR\fR
-.ad
-.sp .6
-.RS 4n
-driver configuration file for 64-bit x86
-.RE
-
 .SH ERRORS
 .ne 2
 .na
@@ -468,7 +430,6 @@
 .RE
 
 .SH ATTRIBUTES
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -487,7 +448,6 @@
 .TE
 
 .SH SEE ALSO
-.LP
 \fBmodload\fR(1M), \fBmodunload\fR(1M), \fBupdate_drv\fR(1M), \fBioctl\fR(2),
 \fBopen\fR(2), \fBread\fR(2), \fBwrite\fR(2), \fBattributes\fR(5),
 \fBbpp\fR(7D), \fBusbprn\fR(7D), \fBprnio\fR(7I), \fBstreamio\fR(7I)
--- old/usr/src/man/man7d/fcoe.7d	Fri Jan 10 14:01:40 2020
+++ new/usr/src/man/man7d/fcoe.7d	Fri Jan 10 14:01:40 2020
@@ -3,14 +3,13 @@
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE. If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
 .\" Copyright (c) 2009, Sun Microsystems, Inc. All Rights Reserved
-.TH FCOE 7D "Mar 18, 2009"
+.\" Copyright 2020 Peter Tribble.
+.TH FCOE 7D "Jan 10, 2020"
 .SH NAME
 fcoe \- fibre channel over Ethernet transport driver
 .SH DESCRIPTION
-.sp
-.LP
 The \fBfcoe\fR driver is a pseudo nexus driver which supports the
-transportation of FCoE encapsualted frames. FCoE Ethernet frame will
+transportation of FCoE encapsulated frames. FCoE Ethernet frame will
 encapsulate the raw Fibre Channel frame.
 .sp
 .LP
@@ -17,36 +16,24 @@
 The \fBfcoe\fR driver interfaces with FCoE target mode device driver,
 \fBfcoet\fR(7D).
 .SH FILES
-.sp
 .ne 2
 .na
-\fB\fB/kernel/drv/fcoe\fR\fR
+\fB/kernel/drv/amd64/fcoe\fR
 .ad
 .RS 26n
-32-bit ELF kernel module (x86)
+Device driver (x86)
 .RE
 
 .sp
 .ne 2
 .na
-\fB\fB/kernel/drv/amd64/fcoe\fR\fR
+\fB/kernel/drv/sparcv9/fcoe\fR
 .ad
 .RS 26n
-64-bit ELF kernel module (x86)
+Device driver (SPARC)
 .RE
 
-.sp
-.ne 2
-.na
-\fB\fBkernel/drv/sparcv\fR\fR
-.ad
-.RS 26n
-64-bit ELF kernel module (SPARC)
-.RE
-
 .SH ATTRIBUTES
-.sp
-.LP
 See \fBattributes\fR(5) for a description of the following attribute:
 .sp
 
@@ -61,8 +48,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
-.LP
 \fBdriver.conf\fR(4), \fBattributes\fR(5), \fBfcoet\fR(7D)
 .sp
 .LP
--- old/usr/src/man/man7d/fcoei.7d	Fri Jan 10 14:01:40 2020
+++ new/usr/src/man/man7d/fcoei.7d	Fri Jan 10 14:01:40 2020
@@ -2,11 +2,10 @@
 .\" Copyright (c) 2009, Sun Microsystems, Inc. All Rights Reserved
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License"). You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE. If applicable, add the following
 .\" below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH FCOEI 7D "Sep 11, 2009"
+.TH FCOEI 7D "Jan 10, 2020"
 .SH NAME
 fcoei \- Fibre Channel Over Ethernet Initiator Mode Driver
 .SH SYNOPSIS
-.sp
 .in +2
 .nf
 fcoei@port,0
@@ -14,8 +13,6 @@
 .in -2
 
 .SH DESCRIPTION
-.sp
-.LP
 The \fBfcoei\fR driver is a pseudo device driver which encapsulates the raw
 Fibre Channel frames into FCoE ethernet frames, or decapsulates FC frames from
 FCoE ethernet frames. The supported FC frames include extended/basic link
@@ -25,36 +22,24 @@
 The \fBfcoei\fR driver interfaces with the Sun Fibre Channel port driver,
 \fBfp\fR(7D), and the FCoE transport driver, \fBfcoe\fR(7D).
 .SH FILES
-.sp
 .ne 2
 .na
-\fB\fB/kernel/drv/fcoei\fR\fR
+\fB/kernel/drv/amd64/fcoei\fR
 .ad
 .RS 27n
-32-bit ELF kernel module (x86)
+Device driver (x86)
 .RE
 
 .sp
 .ne 2
 .na
-\fB\fB/kernel/drv/amd64/fcoei\fR\fR
+\fB/kernel/drv/sparcv9/fcoei\fR
 .ad
 .RS 27n
-64-bit ELF kernel module (x86)
+Device driver (SPARC)
 .RE
 
-.sp
-.ne 2
-.na
-\fB\fBkernel/drv/sparcv/fcoei\fR\fR
-.ad
-.RS 27n
-64-bit ELF kernel module (SPARC)
-.RE
-
 .SH ATTRIBUTES
-.sp
-.LP
 See \fBattributes\fR(5) for a description of the following attribute:
 .sp
 
@@ -69,8 +54,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
-.LP
 \fBdriver.conf\fR(4), \fBattributes\fR(5), \fBfcoe\fR(7D), \fBfcoet\fR(7D),
 \fBfp\fR(7D)
 .sp
--- old/usr/src/man/man7d/fcoet.7d	Fri Jan 10 14:01:41 2020
+++ new/usr/src/man/man7d/fcoet.7d	Fri Jan 10 14:01:41 2020
@@ -3,12 +3,10 @@
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with
 .\" the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
 .\" Copyright (c) 2009, Sun Microsystems, Inc. All Rights Reserved
-.TH FCOET 7D "Mar 18, 2009"
+.TH FCOET 7D "Jan 10, 2020"
 .SH NAME
 fcoet \- fibre channel over Ethernet target mode driver
 .SH DESCRIPTION
-.sp
-.LP
 The \fBfcoet\fR driver is a pseudo device driver which encapsulates the raw
 Fibre Channel frames into FCoE Ethernet frames, or decapsulates FC frames from
 FCoE Ethernet frames. The supported FC frames contain extended/basic link
@@ -15,39 +13,27 @@
 services, common transport frames and target mode FCP frames.
 .sp
 .LP
-The \fBfcoet\fR driver interfaces with COMSTAR FC transport driver,\fBfct\fR,
+The \fBfcoet\fR driver interfaces with COMSTAR FC transport driver, \fBfct\fR,
 and FCoE transport driver, \fBfcoe\fR(7D).
 .SH FILES
-.sp
 .ne 2
 .na
-\fB\fB/kernel/drv/fcoet\fR\fR
+\fB/kernel/drv/amd64/fcoet\fR
 .ad
 .RS 29n
-32-bit ELF kernel module (x86)
+Device driver (x86)
 .RE
 
 .sp
 .ne 2
 .na
-\fB\fB/kernel/drv/amd64/fcoet\fR\fR
+\fB/kernel/drv/sparcv9/fcoet\fR
 .ad
 .RS 29n
-64-bit ELF kernel module (x86)
+Device driver (SPARC)
 .RE
 
-.sp
-.ne 2
-.na
-\fB\fB/kernel/drv/sparcv9/fcoet\fR\fR
-.ad
-.RS 29n
-64-bit ELF kernel module (SPARC)
-.RE
-
 .SH ATTRIBUTES
-.sp
-.LP
 See \fBattributes\fR(5) for a description of the following attributes:
 .sp
 
@@ -62,8 +48,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
-.LP
 \fBdriver.conf\fR(4), \fBattributes\fR(5), \fBfcoe\fR(7D)
 .sp
 .LP
--- old/usr/src/man/man7d/hci1394.7d	Fri Jan 10 14:01:41 2020
+++ new/usr/src/man/man7d/hci1394.7d	Fri Jan 10 14:01:41 2020
@@ -3,26 +3,22 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH HCI1394 7D "Aug 30, 2005"
+.TH HCI1394 7D "Jan 10, 2020"
 .SH NAME
 hci1394 \- 1394 OpenHCI host controller driver
 .SH SYNOPSIS
-.LP
 .nf
 \fBfirewire@unit-address\fR
 .fi
 
 .SH DESCRIPTION
-.sp
-.LP
 The \fBhci1394\fR host controller driver is an IEEE 1394 compliant nexus driver
 that supports the \fI1394 Open Host Controller Interface Specification 1.0\fR,
 an industry standard developed by Sun, Apple, Compaq, Intel, Microsoft,
-National Semconductor, and Texas Instruments. The \fBhci1394\fR driver supports
+National Semiconductor, and Texas Instruments. The \fBhci1394\fR driver supports
 asynchronous transfers, isochronous transfers, and bus reset management. The
 \fBhci1394\fR driver also supports the nexus device control interface.
 .SH FILES
-.sp
 .ne 2
 .na
 \fB\fB/kernel/drv/sparcv9/hci1394\fR\fR
@@ -29,32 +25,20 @@
 .ad
 .sp .6
 .RS 4n
-64-bit SPARC ELF kernel module
+Device driver (SPARC)
 .RE
 
 .sp
 .ne 2
 .na
-\fB\fB/kernel/drv/hci1394\fR\fR
-.ad
-.sp .6
-.RS 4n
-32-bit x86 ELF kernel module
-.RE
-
-.sp
-.ne 2
-.na
 \fB\fB/kernel/drv/amd64/hci1394\fR\fR
 .ad
 .sp .6
 .RS 4n
-64-bit x86 ELF kernel module
+Device driver (x86)
 .RE
 
 .SH ATTRIBUTES
-.sp
-.LP
 See \fBattributes\fR(5) for a description of the following attributes:
 .sp
 
@@ -71,8 +55,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
-.LP
 \fBattributes\fR(5), \fBieee1394\fR(7D)
 .sp
 .LP
--- old/usr/src/man/man7d/ieee1394.7d	Fri Jan 10 14:01:41 2020
+++ new/usr/src/man/man7d/ieee1394.7d	Fri Jan 10 14:01:41 2020
@@ -1,27 +1,27 @@
 '\" te
 .\" Copyright (c) 2009, Sun Microsystems, Inc.  All Rights Reserved
+.\" Copyright 2020 Peter Tribble.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with
 .\" the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH IEEE1394 7D "May 13, 2017"
+.TH IEEE1394 7D "Jan 10, 2020"
 .SH NAME
-ieee1394, firewire, 1394 \- Solaris IEEE-1394 Architecture
+ieee1394, firewire, 1394 \- illumos IEEE-1394 Architecture
 .SH DESCRIPTION
-.LP
 IEEE-1394 provides a means for interconnecting devices in computer and home
 entertainment systems. (The IEEE-1394 architecture is also known as Firewire,
 an Apple Computer trademark, and i.Link, a Sony trademark). The most common
 IEEE-1394 devices are digital camcorders, mass-storage devices and cameras
-(including webcam-type devices). For more information on USB, refer to the 1394
-Trade Association website at http://\fIwww.1394ta.org\fR.
+(including webcam-type devices). For more information on IEEE-1394, refer to the
+1394 Trade Association website at http://\fIwww.1394ta.org\fR.
 .sp
 .LP
-The Solaris IEEE-1394 architecture supports up to 63 hot-pluggable IEEE-1394
+The illumos IEEE-1394 architecture supports up to 63 hot-pluggable IEEE-1394
 devices per IEEE-1394 bus. The maximum data transfer rate is 400 Mbits,
 depending on the capabilities of the attached device.
 .sp
 .LP
-The Solaris IEEE-1394 architecture supports devices implementing a number of
+The illumos IEEE-1394 architecture supports devices implementing a number of
 different specifications. The basic behavior of the IEEE-1394 bus is described
 in the \fIIEEE 1394-1995\fR and \fIIEEE 1394a-2000\fR specifications.
 .sp
@@ -33,11 +33,8 @@
 cameras implementing the 1394 Trade Association 1394-based Digital Camera
 (IIDC) specification are supported.
 .SH FILES
-.LP
 Listed below are drivers and modules which either utilize or are utilized by
-the Solaris IEEE-1394 architecture. Drivers in \fB/kernel/drv\fR are 32 bit
-drivers (only). Drivers in \fB/kernel/drv/sparcv9\fR or \fB/kernel/drv/amd64\fR
-are 64 bit drivers.
+the illumos IEEE-1394 architecture.
 .sp
 
 .sp
@@ -47,9 +44,9 @@
 l | l .
 SUPPORT MODULE(S)	FUNCTION
 _
-/kernel/misc/[sparcv9|amd64/]s1394	IEEE-1394 framework
+/kernel/misc/[sparcv9|amd64]/s1394	IEEE-1394 framework
 _
-/kernel/misc/[sparcv9|amd64/]sbp2 	Serial Bus Protocol-2 (SBP-2)
+/kernel/misc/[sparcv9|amd64]/sbp2	Serial Bus Protocol-2 (SBP-2)
 .TE
 
 .sp
@@ -61,13 +58,11 @@
 l | l .
 TARGET DRIVER	DEVICE CLASS
 _
-/kernel/drv/[sparcv9|amd64/]s1394	IEEE-1394 framework
+/kernel/drv/[sparcv9|amd64]/scsa1394	mass storage class
 _
-/kernel/drv/[sparcv9|amd64/]scsa1394 	mass storage class
+/kernel/drv/[sparcv9|amd64]/av1394	camcorder (AV/C) class
 _
-/kernel/drv/[sparcv9|amd64/]av1394	camcorder (AV/C) class
-_
-/kernel/drv/[sparcv9|amd64/]dcam1394	digital camera (IIDC) class
+/kernel/drv/[sparcv9|amd64]/dcam1394	digital camera (IIDC) class
 .TE
 
 .sp
@@ -79,11 +74,10 @@
 l | l .
 HOST CONTROLLER INTERFACE DRIVER(S)	DEVICE
 _
-/kernel/drv/[sparcv9|amd64/]hci1394	Open HCI
+/kernel/drv/[sparcv9|amd64]/hci1394	Open HCI
 .TE
 
 .SH ATTRIBUTES
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -98,7 +92,6 @@
 .TE
 
 .SH SEE ALSO
-.LP
 \fBattributes\fR(5), \fBav1394\fR(7D), \fBdcam1394\fR(7D), \fBhci1394\fR(7D),
 \fBscsa1394\fR(7D), \fBiec61883\fR(7I)
 .sp
@@ -108,6 +101,5 @@
 .LP
 \fIIEEE 1394\fR Specification - 1394 Trade Association, 1995
 .SH NOTES
-.LP
 Booting from IEEE-1394 mass-storage devices is not supported, but may be
 possible if supported by the BIOS of the computer system.
--- old/usr/src/man/man7d/ntwdt.7d	Fri Jan 10 14:01:41 2020
+++ new/usr/src/man/man7d/ntwdt.7d	Fri Jan 10 14:01:41 2020
@@ -3,18 +3,15 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH NTWDT 7D "Feb 05, 2005"
+.TH NTWDT 7D "Jan 10, 2020"
 .SH NAME
 ntwdt \- Netra\(embased application watchdog timer driver
 .SH SYNOPSIS
-.LP
 .nf
 /dev/ntwdt
 .fi
 
 .SH DESCRIPTION
-.sp
-.LP
 The \fBntwdt\fR driver is a multithreaded, loadable, non-STREAMS pseudo driver
 that provides an application with an interface for controlling a system
 watchdog timer.
@@ -23,13 +20,9 @@
 The \fBntwdt\fR driver implements a \fBvirtual watchdog timer\fR that a
 privileged application (Effective UID == 0) controls via IOCTLs.
 .SH CONFIGURATION
-.sp
-.LP
 You configure the \fBntwdt\fR driver by modifying the contents of the
 \fBntwdt.conf\fR file.
 .SH ERRORS
-.sp
-.LP
 An \fBopen()\fR fails if:
 .sp
 .ne 2
@@ -59,7 +52,6 @@
 .RE
 
 .SH FILES
-.sp
 .ne 2
 .na
 \fB/dev/ntwdt\fR
@@ -71,24 +63,22 @@
 .sp
 .ne 2
 .na
-\fBkernel/drv/sparcv9/ntwdt\fR
+\fB/kernel/drv/sparcv9/ntwdt\fR
 .ad
 .RS 28n
-SPARC ntwdt driver binary.
+Device driver (SPARC)
 .RE
 
 .sp
 .ne 2
 .na
-\fBkernel/drv/ntwdt.conf\fR
+\fB/kernel/drv/ntwdt.conf\fR
 .ad
 .RS 28n
-Driver configuraton file.
+Driver configuration file
 .RE
 
 .SH ATTRIBUTES
-.sp
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -103,8 +93,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
-.LP
 \fBdriver.conf\fR(4), \fBattributes\fR(5)
 .sp
 .LP
--- old/usr/src/man/man7d/usba.7d	Fri Jan 10 14:01:41 2020
+++ new/usr/src/man/man7d/usba.7d	Fri Jan 10 14:01:41 2020
@@ -1,9 +1,10 @@
 .\" Copyright (c) 2009, Sun Microsystems, Inc.  All Rights Reserved
 .\" Copyright 2016 Joyent, Inc.
+.\" Copyright 2020 Peter Tribble.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with
 .\" the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.Dd May 13, 2017
+.Dd Jan 10, 2020
 .Dt USBA 7D
 .Os
 .Sh NAME
@@ -38,51 +39,39 @@
 .Sh FILES
 Listed below are drivers and modules which either utilize or are utilized by
 USBA.
-Drivers in
-.Pa /kernel/drv
-are 32 bit drivers (x86 only).
-Drivers in
-.Pa /kernel/drv/sparcv9
-or
-.Pa kernel/drv/amd64
-are 64 bit drivers.
-.Bl -column -offset indent ".Pa kernel/drv/[sparcv9|amd64/]usbser_edge" "Edgeport USB to serial port"
+.Bl -column -offset indent ".Pa /kernel/drv/[sparcv9|amd64]/usbser_edge" "Edgeport USB to serial port"
 .It Em Client Driver Ta Em Function/Device
 .It Ta
-.It Pa kernel/drv/[sparcv9|amd64/]hid Ta HID class
-.It Pa kernel/drv/[sparcv9|amd64/]hubd Ta hub class
-.It Pa kernel/drv/[sparcv9|amd64/]scsa2usb Ta mass storage class
-.It Pa kernel/drv/[sparcv9|amd64/]usbprn Ta printer class
-.It Pa kernel/drv/[sparcv9|amd64/]usb_as Ta audio streaming class
-.It Pa kernel/drv/[sparcv9|amd64/]usb_ac Ta audio control class
-.It Pa kernel/drv/[sparcv9|amd64/]usbvc Ta video class
-.It Pa kernel/drv/[sparcv9|amd64/]usb_mid Ta multi-interface device
-.It Pa kernel/drv/[sparcv9|amd64/]usb_ia Ta interface-association driver
-.It Pa kernel/drv/[sparcv9|amd64/]usbser_edge Ta Edgeport USB to serial port
-.It Pa kernel/drv/[sparcv9|amd64/]usbsksp Ta Keyspan USB to serial port
-.It Pa kernel/drv/[sparcv9|amd64/]usbsprl Ta pl2303 USB to serial port
-.It Pa kernel/drv/[sparcv9|amd64/]usbsacm Ta CDC ACM class to serial port
-.It Pa kernel/drv/[sparcv9|amd64/]ugen Ta generic USB driver
-.It Pa kernel/drv/[sparcv9|amd64/]ohci Ta open host controller driver
-.It Pa kernel/drv/[sparcv9|amd64/]uhci Ta universal host controller driver
-.It Pa kernel/drv/[sparcv9|amd64/]ehci Ta enhanced host controller driver
-.It Pa kernel/drv/[sparcv9|amd64/]xhci Ta extensible host controller driver
+.It Pa /kernel/drv/[sparcv9|amd64]/hid Ta HID class
+.It Pa /kernel/drv/[sparcv9|amd64]/hubd Ta hub class
+.It Pa /kernel/drv/[sparcv9|amd64]/scsa2usb Ta mass storage class
+.It Pa /kernel/drv/[sparcv9|amd64]/usbprn Ta printer class
+.It Pa /kernel/drv/[sparcv9|amd64]/usb_as Ta audio streaming class
+.It Pa /kernel/drv/[sparcv9|amd64]/usb_ac Ta audio control class
+.It Pa /kernel/drv/[sparcv9|amd64]/usbvc Ta video class
+.It Pa /kernel/drv/[sparcv9|amd64]/usb_mid Ta multi-interface device
+.It Pa /kernel/drv/[sparcv9|amd64]/usb_ia Ta interface-association driver
+.It Pa /kernel/drv/[sparcv9|amd64]/usbser_edge Ta Edgeport USB to serial port
+.It Pa /kernel/drv/[sparcv9|amd64]/usbsksp Ta Keyspan USB to serial port
+.It Pa /kernel/drv/[sparcv9|amd64]/usbsprl Ta pl2303 USB to serial port
+.It Pa /kernel/drv/[sparcv9|amd64]/usbsacm Ta CDC ACM class to serial port
+.It Pa /kernel/drv/[sparcv9|amd64]/ugen Ta generic USB driver
 .El
 .Bl -column -offset indent ".Pa /kernel/strmod/[sparcv9|amd64/]usb_ah" "Function/Device"
 .It Ta
 .It Em Client Streams Modules Ta Em Function/Device
 .It Ta
-.It Pa /kernel/strmod/[sparcv9|amd64/]usbkbm Ta Keyboad
-.It Pa /kernel/strmod/[sparcv9|amd64/]usbms Ta Mouse
-.It Pa /kernel/strmod/[sparcv9|amd64/]usb_ah Ta Audio HID
+.It Pa /kernel/strmod/[sparcv9|amd64]/usbkbm Ta Keyboard
+.It Pa /kernel/strmod/[sparcv9|amd64]/usbms Ta Mouse
+.It Pa /kernel/strmod/[sparcv9|amd64]/usb_ah Ta Audio HID
 .El
 .Bl -column -offset indent ".Em Host Controller Interface Drivers" "Extensible HCI"
 .It Em Host Controller Interface Drivers Ta Em Device
 .It Ta
-.It Pa /kernel/drv/[amd64/]xhci Ta Extensible HCI
-.It Pa /kernel/drv/[sparcv9|amd64/]ehci Ta Enhanced HCI
-.It Pa /kernel/drv/[sparcv9|amd64/]ohci Ta Open HCI
-.It Pa /kernel/drv/[sparcv|amd64/]uhci Ta Universal HCI
+.It Pa /kernel/drv/amd64/xhci Ta Extensible HCI
+.It Pa /kernel/drv/[sparcv9|amd64]/ehci Ta Enhanced HCI
+.It Pa /kernel/drv/[sparcv9|amd64]/ohci Ta Open HCI
+.It Pa /kernel/drv/[sparcv9|amd64]/uhci Ta Universal HCI
 .El
 .Sh DIAGNOSTICS
 The messages described below may appear on the system console as well as being
@@ -110,7 +99,7 @@
 <device path><usba<instance number>): message...
 .Ed
 .Bl -tag -width Sy -offset 2n
-.It Sy Incorrect USB driver version for <n.m>.
+.It Sy Incorrect USB driver version for <n.m> .
 Driver is incompatible with USBA framework.
 .El
 .Sh SEE ALSO
